package com.qs.mp.web.controller.api.admin;

import com.qs.mp.admin.domain.param.ShippingTemplateParam;
import com.qs.mp.admin.domain.vo.ShippingTemplateVO;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.common.service.IShippingTemplateService;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 运费模板相关接口
 *
 * @author Cup
 * @date 2022/5/5
 */
@Api(tags = "运费模板相关接口")
@RestController
@RequestMapping("/api/v1/mp/admin/shipping/template/*")
public class ShippingTemplateController extends BaseApiController {

    @Autowired
    private IShippingTemplateService shippingTemplateService;

    @PostMapping("/create")
    @ApiOperation("新增运费模板")
    public AjaxResult create(@RequestBody ShippingTemplateParam shippingTemplateParam) {
        // 新增运费模板
        shippingTemplateService.create(shippingTemplateParam);

        return AjaxResult.success();
    }

    @PostMapping("/update")
    @ApiOperation("更新运费模板")
    public AjaxResult update(@RequestBody ShippingTemplateParam shippingTemplateParam){
        // 修改运费模板
        shippingTemplateService.updateShippingTemplate(shippingTemplateParam);
        return AjaxResult.success();
    }


    @PostMapping("/detail/{id}")
    @ApiOperation("运费模板详情")
    @ApiResponses(
            @ApiResponse(code = 200, message = "返回运费模板详情",response = ShippingTemplateVO.class)
    )
    public AjaxResult detail(@PathVariable("id") Long id){
        // 运费模板详情
        return AjaxResult.success(shippingTemplateService.detail(id));
    }


}
